# Drag from grid demo (React)

This example uses Bryntum Scheduler wrapped in the provided `BryntumScheduler` wrapper.
This demo shows how easy it is to drag unscheduled tasks from an external grid onto the React Scheduler.

This project was bootstrapped with [Create React App](https://github.com/facebook/create-react-app).

# Bryntum Repository access setup

**IMPORTANT NOTE!** These access instructions are mandatory when using the private Bryntum NPM repository.

This example uses npm packages from the Bryntum private NPM repository. You must be logged-in to this repository as a
licensed or trial user to access the packages. Please
check [Online npm repository guide](https://bryntum.com/docs/scheduler/guide/Scheduler/npm-repository) for detailed information
on the sign-up/login process. Also you can check bundled guide inside distribution zip
in `docs/guides/npm-repository.md`.

# React integration guide

Please check this  
[Bryntum React integration online guide](https://bryntum.com/docs/scheduler/guide/Scheduler/integration/react/guide) for
detailed integration information and help. Also you can check bundled guide inside distribution zip
in `docs/guides/integration/react/guide.md`.

# Installation

Use the following command to install the example packages after the successful login.

Using **npm**:

```shell
$ npm install
```

Using **yarn**:

```shell
$ yarn install
```

# Running a development server

To build example and start development server run this command:

Using **npm**:

```shell
$ npm run start
```

Using **yarn**:

```shell
$ yarn run start
```

Navigate to `http://localhost:3000/` or `http://127.0.0.1:3000/` in your browser. We recommend to use latest versions of
modern browsers like Chrome, FireFox, Safari or Edge (Chromium). The app will automatically reload if you change any of
the source files.

# Creating a production build

To build production code for the example run this command:

Using **npm**:

```shell
$ npm run build
```

Using **yarn**:

```shell
$ yarn run build
```

The build artifacts will be stored in the `build/` directory.

# Distribution zip references

* Bryntum API docs. Open `docs/index.html` in your browser.
* Bryntum Repository guide `docs/guides/npm-repository.md`.
* Bryntum React integration guide `docs/guides/integration/react/guide.md`.

# Online References

* [React Framework](https://github.com/facebook/create-react-app)
* [Bryntum React integration guide](https://bryntum.com/docs/scheduler/guide/Scheduler/integration/react/guide)
* [Bryntum Scheduler documentation](https://bryntum.com/docs/scheduler/)
* [Bryntum Scheduler examples](https://bryntum.com/examples/scheduler/)
* [Bryntum npm repository guide](https://bryntum.com/docs/scheduler/guide/Scheduler/npm-repository)
* [Bryntum support Forum](https://bryntum.com/forum/)
* [Contacts us](https://bryntum.com/contact/)
