/**
 * Grid with unplanned tasks. This is just a react wrapper.
 */
// libraries
import React, { Component } from 'react';

// our stuff
import UnplannedGrid from '../lib/UnplannedGrid.js';
import Task from '../lib/Task.js';
import { EventModel } from '@bryntum/schedulerpro';

const events = [
    {
        "id"           : 1,
        "name"         : "Fun task",
        "duration"     : 4,
        "durationUnit" : "h",
        "iconCls"      : "b-fa b-fa-fw b-fa-beer"
    },
    {
        "id"           : 2,
        "name"         : "Medium fun task",
        "duration"     : 8,
        "durationUnit" : "h",
        "iconCls"      : "b-fa b-fa-fw b-fa-cog"
    },
    {
        "id"           : 3,
        "name"         : "Outright boring task",
        "duration"     : 2,
        "durationUnit" : "h",
        "iconCls"      : "b-fa b-fa-fw b-fa-book"
    },
    {
        "id"           : 4,
        "name"         : "Inspiring task",
        "duration"     : 2,
        "durationUnit" : "h",
        "iconCls"      : "b-fa b-fa-fw b-fa-book"
    },
    {
        "id"           : 5,
        "name"         : "Mysterious task",
        "duration"     : 2,
        "durationUnit" : "h",
        "iconCls"      : "b-fa b-fa-fw b-fa-question"
    },
    {
        "id"           : 6,
        "name"         : "Answer forum question",
        "duration"     : 4,
        "durationUnit" : "h",
        "iconCls"      : "b-fa b-fa-fw b-fa-life-ring"
    },
    {
        "id"           : 7,
        "name"         : "Gym",
        "duration"     : 1,
        "durationUnit" : "h",
        "iconCls"      : "b-fa b-fa-fw b-fa-dumbbell"
    },
    {
        "id"           : 9,
        "name"         : "Book flight",
        "duration"     : 7,
        "durationUnit" : "h",
        "iconCls"      : "b-fa b-fa-fw b-fa-plane"
    },
    {
        "id"           : 10,
        "name"         : "Customer support call",
        "duration"     : 3,
        "durationUnit" : "h",
        "iconCls"      : "b-fa b-fa-fw b-fa-phone"
    },
    {
        "id"           : 11,
        "name"         : "Angular bug fix",
        "duration"     : 3,
        "durationUnit" : "h",
        "iconCls"      : "b-fa b-fa-fw b-fa-bug"
    },
    {
        "id"           : 12,
        "name"         : "React feature fix",
        "duration"     : 2,
        "durationUnit" : "h",
        "iconCls"      : "b-fa b-fa-fw b-fa-cog"
    }
]

class UnplannedGridComponent extends Component {

    componentDidMount() {
        this.unplannedGrid = new UnplannedGrid({
            appendTo   : 'unplannedContainer',
            eventStore : this.props.eventStore,
            store      : {
                modelClass : EventModel,
                data    :  events,
            }
        });
    }

    render() {
        return (<div id="unplannedContainer"></div>);
    }
};

export default UnplannedGridComponent;
